/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>AchievementObserver</DEPENDS>
</DEPENDENCIES>
*/
SendOnceAchievementObserver.prototype             = new AchievementObserver();
SendOnceAchievementObserver.prototype.constructor = SendOnceAchievementObserver;
SendOnceAchievementObserver.superclass            = AchievementObserver.prototype;
function SendOnceAchievementObserver(sId)
{
  if (sId) { this.init(sId); }
}
SendOnceAchievementObserver.prototype.init = function(sId)
{
  ;
  SendOnceAchievementObserver.superclass.init.call(this, sId);
  this.bSended = false;
 }
SendOnceAchievementObserver.prototype.solved = function(excStatus)
{
  if (!this.bSended)
  {
    if ( excStatus.nCorrect == excStatus.nCorrectStatus && excStatus.nCorrectSystem == 0 && excStatus.nWrongSystem == 0 && excStatus.nWrongStatus == 0 )
    {
      this.bSended = true;
      this.invokeActions(this.aReachAchievementWithoutHelpActions);
      this.invokeActions(this.aReachAchievementActions);
    }
    else if ( excStatus.nCorrect == excStatus.nCorrectStatus && excStatus.nWrongStatus == 0 )
    {
      this.bSended = true;
      this.invokeActions(this.aReachAchievementActions);
    }
  }
}
SendOnceAchievementObserver.prototype.reset = function()
{
  this.bSended = false;
}
AchievementObserver.prototype.getResetAction = function()
{
  return new ObjectMethodAction(this, "reset");
}
