/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
     <DEPENDS>CountDownWidget</DEPENDS>
</DEPENDENCIES>
*/
CountDownBroker.prototype             = new Broker();
CountDownBroker.prototype.constructor = CountDownBroker;
CountDownBroker.superclass            = Broker.prototype;
function CountDownBroker(sId)
{
	if (sId)
	{
		this.init(sId);
	}
}
CountDownBroker.prototype.init = function(sId)
{
	this.sId = sId;
	CountDownBroker.superclass.init.call(this, "CountDownBroker");
}
CountDownBroker.prototype.getId = function()
{
	return this.sId;
}
CountDownBroker.prototype.setManager = function(manager)
{
	this.manager = manager;
}
CountDownBroker.prototype.getStartCountDownAction = function()
{
	return new ObjectMethodAction(this, "startCountDown");
}
CountDownBroker.prototype.addCountDownStartedHandle = function(action)
{
	this.registerAction("countdownstarted", action);
}
CountDownBroker.prototype.startCountDown = function()
{
	this.manager.startCountDown();
}
CountDownBroker.prototype.countDownStarted = function()
{
	this.getMessage("countdownstarted");
}
CountDownBroker.prototype.getStopCountDownAction = function()
{
	return new ObjectMethodAction(this, "stopCountDown");
}
CountDownBroker.prototype.addCountDownStoppedHandle = function(action)
{
	this.registerAction("countdownstopped", action);
}
CountDownBroker.prototype.stopCountDown = function()
{
	this.manager.stopCountDown();
}
CountDownBroker.prototype.countDownStopped = function()
{
	this.getMessage("countdownstopped");
}
CountDownBroker.prototype.getResetAction = function()
{
	return new ObjectMethodAction(this, "reset");
}
CountDownBroker.prototype.reset = function()
{
	this.manager.reset();
}
CountDownBroker.prototype.addLiftOffHandle = function(action)
{
	this.registerAction("liftoff", action);
}
CountDownBroker.prototype.liftOff = function()
{
	this.getMessage("liftoff");
}
CountDownBroker.prototype.addValueChangedHandle = function(action)
{
	this.registerAction("valuechanged", action);
}
CountDownBroker.prototype.valueChanged = function(actualduration)
{
	var params = new Array();
	params[0] = actualduration;
	this.getMessage("valuechanged", params);
}
