/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function MediaPlayer(domId, url)
{
    if (domId) 
    {
        this.domId = domId;
        this.url = this.prepareForMediaPlayer(url);
    }
} 
MediaPlayer.prototype.prepareForMediaPlayer = function (url)
{
  if(url.indexOf('?') >= 0)
  {
    return url + '&mswm_extension_dummy.xxx';
  }
  else
  {
    return url + '?mswm_extension_dummy.xxx';
  }
}
MediaPlayer.prototype.getInitMuteAction = function()
{
	return new ObjectMethodAction(this, 'initPlayer', true);
}
MediaPlayer.prototype.getInitPlayAction = function()
{
	return new ObjectMethodAction(this, 'initPlayer', false);
}
MediaPlayer.prototype.initPlayer = function(mute)
{
  if (!mute)
  {
	  var srcString = "src=\'" + this.url + "\'";
	  var paramType = "type=\'application/x-mplayer2\'";
	  var paramAutostart = "autostart=\'true\'";
	  var paramLoop = "loop=\'false\'";
	  var paramWidth = "width=\'1\'";
	  var paramHeight = "height=\'1\'";
	  var paramBackColor = "bgcolor=\'#FFFFFF\'";
	  var embedOpen = "<embed ";
	  var embedClose = "</embed>";
	  var divString = "<div style=\'position:absolute;z-index:1;width:1px;height:1px;top:0px;left:0px;background-color:#FFFFFF\'></div>";
	  
	  if (document.all)
	  {
		document.getElementById(this.domId).innerHTML = embedOpen + srcString + paramType + paramAutostart +
			paramLoop + paramWidth + paramHeight + ">" + divString + embedClose;
	  }
	  else
	  {
		document.getElementById(this.domId).innerHTML = embedOpen + srcString + paramType + paramAutostart +
			paramLoop + paramWidth + paramHeight + paramBackColor + ">" + embedClose;
	  }
	}
} 
