/*
<DEPENDENCIES>
    <DEPENDS>Globals</DEPENDS>
    <DEPENDS>SequenceAdapter</DEPENDS>
    <DEPENDS>Point</DEPENDS>
</DEPENDENCIES>
*/
Sequencelet.prototype             = new SequenceAdapter();
Sequencelet.prototype.constructor = Sequencelet;
Sequencelet.superclass            = SequenceAdapter.prototype;
function Sequencelet(sId, sWidgetDomId)
{
  if (sId) { this.init(sId, sWidgetDomId); }
}
Sequencelet.prototype.init = function(sId, sWidgetDomId)
{
  ;
  Sequencelet.superclass.init.call(this, sId, sWidgetDomId);
  this.sequenceManager = null;
  this.width = 0;
  this.height = 0;
  this.beginDragAction = null;
  this.endDragAction = null;
  this.showOverAction = null;
  this.showOutAction = null;
  this.sLine = null;
  this.widget = document.getElementById(sWidgetDomId);
  this.addDomlet(new Domlet(
    this.sWidgetDomId,      
    this.name,              
    this,                   
    new Array('mousedown')) 
  )
  if (this.widget == null)
  {
    ;
  }
  var me=this;
  this.mouseUpHandler = function(event)
  {
    ;
    Browser.removeEventListenerFromDocument(Browser.eventNames.MOUSEMOVE, me.mouseMoveHandler);
    Browser.removeEventListenerFromDocument(Browser.eventNames.MOUSEUP, me.mouseUpHandler);
    Browser.removeEventListenerFromDocument(Browser.eventNames.MOUSEOUT, me.mouseOutHandler);
    if (me.inMouseMove)
    {
      if(me.endDragAction) me.endDragAction.invoke();
      me.sequenceManager.endDrag(me);
    }
  }
  this.mouseMoveHandler = function(event)
  {
    //;
    //;
    if (!me.inMouseMove)
    {
      if (Math.abs(event.clientX - me.mouseDownX) > 2 || Math.abs(event.clientY - me.mouseDownY) > 2 )
      {
        me.inMouseMove = true;
        me.beginDrag(event);
        me.lostDeltaX = event.clientX - me.mouseDownX;
        me.lostDeltaY = event.clientY - me.mouseDownY;
      }
    }
    if (me.inMouseMove)
    {
      var nX = event.clientX - me.deltaX + me.lostDeltaX;
      var nY = event.clientY - me.deltaY + me.lostDeltaY;
      Browser.moveTo(me.widget, new Point(nX, nY));
      Browser.eventStopPropagation(event);
    }
  }
  this.mouseOutHandler = function(event)
  {
    ;
    if (Browser.getId() == 'moz')
    {
        if ( event.explicitOriginalTarget.nodeName == 'HTML')
        {
          me.mouseUpHandler(event);
        }
    }
    else
    {
        if ( event.srcElement.tagName == 'BODY' )
        {
          me.mouseUpHandler(event);
        }
    }
  }
}
Sequencelet.prototype.setSequenceManager = function(sequenceManager)
{
  ;
  this.sequenceManager = sequenceManager;
}
Sequencelet.prototype.getWidth = function()
{
  ;
  if (this.width == 0)
  {
    this.width = this.widget.offsetWidth;
  }
  return this.width;
}
Sequencelet.prototype.getHeight = function()
{
  ;
  if (this.height == 0)
  {
    this.height = this.widget.offsetHeight;
  }
  return this.height;
}
Sequencelet.prototype.getPosition = function()
{
  ;
  var point = new Point(0,0);
  Browser.getAbsPos(this.widget, point);
  return point;
}
Sequencelet.prototype.moveTo = function(point)
{
  ;
  Browser.moveTo(this.widget, point);
}
Sequencelet.prototype.beginDrag = function(event)
{
  ;
  var point = new Point(0,0);
  Browser.getAbsPos(this.widget, point);
  this.deltaX = event.clientX - point.x;
  this.deltaY = event.clientY - point.y;
  if(this.beginDragAction) this.beginDragAction.invoke();
  this.sequenceManager.beginDrag(this);
}
Sequencelet.prototype.eventFromChild = function(childName, eventType, event)
{
  //;
  var domlet = this.domlets[childName];
  switch(eventType)
  {
    case "mousedown" :
      ;
      this.mouseDownHandler(domlet, event);
      break;
    case "mouseup" :
      ;
      break;
    case "mouseover" :
      ;
      break;
    case "mouseout" :
      ;
      break;
    case "mousemove" :
      //;
      break;
    case "click" :
      ;
      break;
  }
}
Sequencelet.prototype.mouseDownHandler = function(domlet, event)
{
  ;
  Browser.setToplevel(this.widget);
  Browser.eventStopPropagation(event);
  Browser.eventPreventDefault(event);
  this.mouseDownX = event.clientX;
  this.mouseDownY = event.clientY;
  this.inMouseMove = false;
  Browser.addEventListenerToDocument(Browser.eventNames.MOUSEMOVE, this.mouseMoveHandler);
  Browser.addEventListenerToDocument(Browser.eventNames.MOUSEUP, this.mouseUpHandler);
  Browser.addEventListenerToDocument(Browser.eventNames.MOUSEOUT, this.mouseOutHandler);
}
