/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
WordGridQuestionBroker.prototype             = new Broker();
WordGridQuestionBroker.prototype.constructor = WordGridQuestionBroker;
WordGridQuestionBroker.superclass            = Broker.prototype;
function WordGridQuestionBroker()
{
  //;
  WordGridQuestionBroker.superclass.init.call(this, "WordGridQuestionBroker");
}
WordGridQuestionBroker.prototype.doShowCorrect = function()
{
    this.getMessage("showCorrect");
}
WordGridQuestionBroker.prototype.addShowCorrectHandle = function(action)
{
  this.registerAction("showCorrect", action);
}
WordGridQuestionBroker.prototype.getShowCorrectAction = function(action)
{
  return new ObjectMethodAction(this, "showCorrect");
}
WordGridQuestionBroker.prototype.showCorrect = function()
{
    //;
    this.doShowCorrect();
}
WordGridQuestionBroker.prototype.doShowWrong = function()
{
    this.getMessage("showWrong");
}
WordGridQuestionBroker.prototype.addShowWrongHandle = function(action)
{
  this.registerAction("showWrong", action);
}
WordGridQuestionBroker.prototype.getShowWrongAction = function(action)
{
  return new ObjectMethodAction(this, "showWrong");
}
WordGridQuestionBroker.prototype.showWrong = function()
{    
    //;
    this.doShowWrong();
}
