/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
MultipleTrialsObserverBroker.prototype             = new Broker();
MultipleTrialsObserverBroker.prototype.constructor = MultipleTrialsObserverBroker;
MultipleTrialsObserverBroker.superclass            = Broker.prototype;
function MultipleTrialsObserverBroker(sId)
{
  if (sId) { this.init(sId); }
}
MultipleTrialsObserverBroker.prototype.init = function(sId)
{
  ;
  this.sId = sId;
  this.multipleTrialsObserverController = null;
  MultipleTrialsObserverBroker.superclass.init.call(this, sId);
}
MultipleTrialsObserverBroker.prototype.setMultipleTrialsObserverController = function(multipleTrialsObserverController)
{
  this.multipleTrialsObserverController = multipleTrialsObserverController;
}
MultipleTrialsObserverBroker.prototype.doReachedTrial = function(nTrial)
{
  var paramArray = new Array();
  paramArray[0] = nTrial;
  this.getMessage('reachedTrial', paramArray);
}
MultipleTrialsObserverBroker.prototype.addReachedTrialHandle = function(action)
{
  this.registerAction('reachedTrial', action);
}
MultipleTrialsObserverBroker.prototype.getReachedTrialAction = function(nTrial)
{
  return new ObjectMethodAction(this, 'reachedTrial', nTrial);
}
MultipleTrialsObserverBroker.prototype.reachedTrial = function(nTrial)
{
  ;
  if (this.multipleTrialsObserverController)
    this.multipleTrialsObserverController.shouldReachedTrial(nTrial);
  else
    this.doReachedTrial(nTrial);
}
