/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Globals</DEPENDS>
    <DEPENDS>QeaTipStrategy</DEPENDS>
</DEPENDENCIES>
*/
ShowNextMissingDominoTipStrategy.prototype             = new BasicQeaTipStrategy();
ShowNextMissingDominoTipStrategy.prototype.constructor = ShowNextMissingDominoTipStrategy;
ShowNextMissingDominoTipStrategy.superclass            = BasicQeaTipStrategy.prototype;
function ShowNextMissingDominoTipStrategy(sId) 
{
  if (sId) { this.init(sId); }
}
ShowNextMissingDominoTipStrategy.prototype.evaluationHasTip = function(evaluation, bStepByStep)
{
  ;
  var bHasTip = true;
  var lastEvaluation = null;
  var bFoundFirstEvaluation =false;
  var bAlreadyTipped = false;
  if ( ! evaluation.isCorrect() ||  evaluation.isActive())
  {
    bHasTip = false;
  }
  if (bHasTip)
  {
    for (var id in this.workItem.aEvaluations)
    {
      lastEvaluation = this.workItem.aEvaluations[id];
      if (lastEvaluation == this.workItem.firstEvaluation)
      {
        bFoundFirstEvaluation = true;
      }
      if (bFoundFirstEvaluation)
      {
        if (  ! lastEvaluation.isActive() )
        {
          if (lastEvaluation == evaluation )
          {
            bHasTip = true;
            bAlreadyTipped = true;
          }
          else
          { 
            bHasTip = false;
          }
          break;
        }
      }
    }
  }
  if (bHasTip && ! bAlreadyTipped)
  {
    for (var id in this.workItem.aEvaluations)
    {
      lastEvaluation = this.workItem.aEvaluations[id];
      if (  ! lastEvaluation.isActive() )
      {
        if (lastEvaluation == evaluation )
        { 
          bHasTip = true;
        }
        else
        { 
          bHasTip = false;
        }
        break;
      }
    }
  }
  //;
  return bHasTip;
}
