/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>HandleMap</DEPENDS>
</DEPENDENCIES>
*/
function LMSDispatcher(sId, sLocationbase)
{
  if (sId) { this.init(sId); }
}
LMSDispatcher.prototype.init = function(sId)
{
  	this.sId = sId;
}
LMSDispatcher.prototype.getId = function()
{
  return this.sId;
}
LMSDispatcher.prototype.setEventSender = function(sender)
{
  this.sender = sender;
}
LMSDispatcher.prototype.notifyAchievement = function(dFractionCorrect, dFractionDone, bCertificateConditionFulfilled)
{
	;
	this.sender.send('lmsadapter', 'notifyAchievement', [dFractionCorrect, dFractionDone, bCertificateConditionFulfilled]);
}
LMSDispatcher.prototype.notifyFinish = function(timeout)
{
	this.sender.send('lmsadapter', 'notifyFinish', [timeout]);
}
LMSDispatcher.prototype.notifyLocation = function(sLocation)
{
 	this.sender.send('lmsadapter', 'notifyLocation', [sLocation]);
}
LMSDispatcher.prototype.notifyCBTImport = function(learningtime)
{
 	this.sender.send('lmsadapter', 'notifyCBTImport', [learningtime]);
}
