/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
BooleanSelectionBroker.prototype = new Broker();
BooleanSelectionBroker.prototype.constructor = BooleanSelectionBroker;
BooleanSelectionBroker.superclass = Broker.prototype;
function BooleanSelectionBroker(sId)
{
	if (sId)
	{
		this.init(sId);
	}
}
BooleanSelectionBroker.prototype.init = function(sId)
{
	BooleanSelectionBroker.superclass.init.call(this, "BooleanSelectionBroker");
	this.sId = sId;
}
BooleanSelectionBroker.prototype.getId = function()
{
	return this.sId;
}
BooleanSelectionBroker.prototype.setManager = function(manager)
{
	this.manager = manager;
}
BooleanSelectionBroker.prototype.doSelected = function()
{
	this.getMessage("selected");
}
BooleanSelectionBroker.prototype.addSelectedHandle = function(action)
{
	this.registerAction("selected", action);
}
BooleanSelectionBroker.prototype.doUnSelected = function()
{
	this.getMessage("unselected");
}
BooleanSelectionBroker.prototype.addUnSelectedHandle = function(action)
{
	this.registerAction("unselected", action);
}
BooleanSelectionBroker.prototype.getUnSelectAction = function()
{
	return new ObjectMethodAction(this, "setSelected", false);
}
BooleanSelectionBroker.prototype.getSelectAction = function()
{
	return new ObjectMethodAction(this, "setSelected", true);
}
BooleanSelectionBroker.prototype.setSelected = function(selected)
{
	this.manager.setSelected(selected);
}
