/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
function ButtonGroupManager(name)
{
    ;
    if (name != undefined)
    {
        ;
        this.name = name
        this.buttons = new Array();
        this.useSilentActions = false;
        this.useRadioButtonMode = false;
        this.allButtonsAreCurrentlyOff = true;
        this.onePushedAction = null;
    }
}
ButtonGroupManager.prototype.buttonPushed = function(button)
{
    ;
    if(this.onePushedAction)
      this.onePushedAction.invoke();
}
ButtonGroupManager.prototype.buttonPressed = function(button)
{
    ;
    if(this.onePushedAction)
      this.onePushedAction.invoke();
    if(this.allButtonsAreCurrentlyOff)
    {
        if(this.firstButtonOnAction) this.firstButtonOnAction.invoke();
    }
    if (this.useRadioButtonMode)
    {
        for(var i in this.buttons)
        {
            if (this.buttons[i] != button)
                this.unpressButton(this.buttons[i]);
        }
    }
    else
    {   
        var allButtonsOn = true;
        for(var i in this.buttons)
        {
            if(allButtonsOn && this.buttons[i].state)
            {
              allButtonsOn = this.buttons[i].state.pressed;
            }
        }
        if(allButtonsOn)
        {
            if(this.allOnAction) this.allOnAction.invoke();
        }
    }
}
ButtonGroupManager.prototype.buttonUnpressed = function(button)
{
    ;
    if(this.onePushedAction)
      this.onePushedAction.invoke();
    var allButtonsOn = false;
    for(var i in this.buttons)
    {
        ;
        if(!allButtonsOn && this.buttons[i].state)
        {
          allButtonsOn = this.buttons[i].state.pressed;
        }
    }
    if(!allButtonsOn)
    {
        if(this.allOffAction) this.allOffAction.invoke();
        this.allButtonsAreCurrentlyOff = true;
    }
}
ButtonGroupManager.prototype.setUseSilentActions = function(useSilentActions)
{
    ;
    this.useSilentActions = useSilentActions;
}
ButtonGroupManager.prototype.registerButton = function(button)
{
    ;
    this.buttons[button.domId] = button;
    button.setButtonGroupManager(this); 
}    
ButtonGroupManager.prototype.registerPushButton = function(button)
{
    ;
    button.setButtonGroupManager(this); 
}
ButtonGroupManager.prototype.setRadioButtonMode = function(useRadioButtonMode)
{
    ;
    this.useRadioButtonMode = useRadioButtonMode;
}
ButtonGroupManager.prototype.unpressButton = function(button)
{
    ;
    if (button.state.pressed)
    {
        if(this.useSilentActions)
        {
            ;
            button.setSilentPressed(false);
        }
        else
        {
            ;
            button.setPressed(false, true); 
        }
    }
}
ButtonGroupManager.prototype.setAllOnAction = function(allOnAction)
{
    this.allOnAction = allOnAction;
}    
ButtonGroupManager.prototype.setAllOffAction = function(allOffAction)
{
    this.allOffAction = allOffAction;
}    
ButtonGroupManager.prototype.setFirstOnAction = function(firstButtonOnAction)
{
    this.firstButtonOnAction = firstButtonOnAction;
}
ButtonGroupManager.prototype.setOnePushedAction = function(onePushedAction)
{
    this.onePushedAction = onePushedAction;
}
