/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
MarkerBroker.prototype             = new Broker();
MarkerBroker.prototype.constructor = MarkerBroker;
MarkerBroker.superclass            = Broker.prototype;
function MarkerBroker(sId)
{
    ;
    this.markerController = null;
    this.sId = sId;
    MarkerBroker.superclass.init.call(this, "MarkerBroker");
}
MarkerBroker.prototype.setMarkerController = function(markerController)
{
    this.markerController = markerController;
}
MarkerBroker.prototype.doSetEnableMarkable = function()
{
    this.getMessage("setEnableMarkable");
}
MarkerBroker.prototype.addSetEnableMarkableHandle = function(action)
{
    this.registerAction("setEnableMarkable", action);
}
MarkerBroker.prototype.getSetEnableMarkableAction = function(action)
{
    return new ObjectMethodAction(this, "setEnableMarkable");
}
MarkerBroker.prototype.setEnableMarkable = function()
{
    ;
    if (this.markerController)
        this.markerController.shouldSetEnableMarkable();
    else
        this.doSetEnableMarkable();
}
MarkerBroker.prototype.doSetDisableMarkable = function()
{
    this.getMessage("setDisableMarkable");
}
MarkerBroker.prototype.addSetDisableMarkableHandle = function(action)
{
    this.registerAction("setDisableMarkable", action);
}
MarkerBroker.prototype.getSetDisableMarkableAction = function(action)
{
    return new ObjectMethodAction(this, "setDisableMarkable");
}
MarkerBroker.prototype.setDisableMarkable = function()
{
    ;
    if (this.markerController)
        this.markerController.shouldSetDisableMarkable();
    else
        this.doSetDisableMarkable();
}
MarkerBroker.prototype.doActivateMarker = function()
{
    this.getMessage("activateMarker");
}
MarkerBroker.prototype.addActivateMarkerHandle = function(action)
{
    this.registerAction("activateMarker", action);
}
MarkerBroker.prototype.getActivateMarkerAction = function(action)
{
    return new ObjectMethodAction(this, "activateMarker");
}
MarkerBroker.prototype.activateMarker = function()
{
    ;
    if (this.markerController)
        this.markerController.shouldActivateMarker();
    else
        this.doActivateMarker();
}
MarkerBroker.prototype.doDeactivateMarker = function()
{
    this.getMessage("deactivateMarker");
}
MarkerBroker.prototype.addDeactivateMarkerHandle = function(action)
{
    this.registerAction("deactivateMarker", action);
}
MarkerBroker.prototype.getDeactivateMarkerAction = function(action)
{
    return new ObjectMethodAction(this, "deactivateMarker");
}
MarkerBroker.prototype.deactivateMarker = function()
{
    ;
    if (this.markerController)
        this.markerController.shouldDeactivateMarker();
    else
        this.doDeactivateMarker();
}
