/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Action</DEPENDS>
</DEPENDENCIES>
*/
function Domlet(domId, name, parent, eventTypes)
{
    ;
    if (domId) 
    {
        this.init(domId, name, parent, eventTypes);
    }
} 
Domlet.prototype.init = function(domId, name, parent, eventTypes)
{
    if (!domId)
        ;
    this.domId   = domId;
    this.name = ((name == undefined) ? this.domId : name);
    this.controller = ((parent == null) ? this : parent)
    ;
      var me = this;
      this.eventClick = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'click', event);
      }
      this.eventDragdrop = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'dragdrop', event);
      }
      this.eventChange = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'change', event);
      }
      this.eventMousedown = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'mousedown', event);
      }
      this.eventMouseup = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'mouseup', event);
      }
      this.eventMouseover = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'mouseover', event);
      }
      this.eventMouseout = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'mouseout', event);
      }
      this.eventMousemove = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'mousemove', event);
      }
      this.eventSelect = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'select', event);
      }
      this.eventBlur = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'blur', event);
      }
      this.eventFocus = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'focus', event);
      }
      this.eventKeypress = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'keypress', event);
      }
      this.eventKeyup = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'keyup', event);
      }
      this.eventKeydown = function(eventParam)
      {
        if ( eventParam ) {  var event = eventParam; }
        me.controller.eventFromChild(me.name, 'keydown', event);
      }
    if (eventTypes)
    {
        for (var i = 0; i < eventTypes.length; i++) 
        {
            ;
            this.addEvent(eventTypes[i]);
        }
    }
} 
Domlet.prototype.addEvent = function(eventType)
{
  this.addDelEvent(eventType, true)
} 
Domlet.prototype.addDelEvent = function(eventType, bAdd)
{
  if (bAdd)
  {
    switch (eventType)
    {
  case 'click' :
    Browser.addEventListener(this.domId, Browser.eventNames.CLICK, this.eventClick);
    break;
  case 'dragdrop' :
    Browser.addEventListener(this.domId, Browser.eventNames.DRAGDROP, this.eventDragdrop);
    break;
  case 'change' :
    Browser.addEventListener(this.domId, Browser.eventNames.CHANGE, this.eventChange);
    break;
  case 'mousedown' :
    Browser.addEventListener(this.domId, Browser.eventNames.MOUSEDOWN, this.eventMousedown);
    break;
  case 'mouseup' :
    Browser.addEventListener(this.domId, Browser.eventNames.MOUSEUP, this.eventMouseup);
    break;
  case 'mouseover' :
    Browser.addEventListener(this.domId, Browser.eventNames.MOUSEOVER, this.eventMouseover);
    break;
  case 'mouseout' :
    Browser.addEventListener(this.domId, Browser.eventNames.MOUSEOUT, this.eventMouseout);
    break;
  case 'mousemove' :
    Browser.addEventListener(this.domId, Browser.eventNames.MOUSEMOVE, this.eventMousemove);
    break;
  case 'select' :
    Browser.addEventListener(this.domId, Browser.eventNames.SELECT, this.eventSelect);
    break;
  case 'blur' :
    Browser.addEventListener(this.domId, Browser.eventNames.BLUR, this.eventBlur);
    break;
  case 'focus' :
    Browser.addEventListener(this.domId, Browser.eventNames.FOCUS, this.eventFocus);
    break;
  case 'keypress' :
    Browser.addEventListener(this.domId, Browser.eventNames.KEYPRESS, this.eventKeypress);
    break;
  case 'keyup' :
    Browser.addEventListener(this.domId, Browser.eventNames.KEYUP, this.eventKeyup);
    break;
  case 'keydown' :
    Browser.addEventListener(this.domId, Browser.eventNames.KEYDOWN, this.eventKeydown);
    break;
    }
  }
  else
  {
    switch (eventType)
    {
  case 'click' :
    Browser.removeEventListener(this.domId, Browser.eventNames.CLICK, this.eventClick);
    break;
  case 'dragdrop' :
    Browser.removeEventListener(this.domId, Browser.eventNames.DRAGDROP, this.eventDragdrop);
    break;
  case 'change' :
    Browser.removeEventListener(this.domId, Browser.eventNames.CHANGE, this.eventChange);
    break;
  case 'mousedown' :
    Browser.removeEventListener(this.domId, Browser.eventNames.MOUSEDOWN, this.eventMousedown);
    break;
  case 'mouseup' :
    Browser.removeEventListener(this.domId, Browser.eventNames.MOUSEUP, this.eventMouseup);
    break;
  case 'mouseover' :
    Browser.removeEventListener(this.domId, Browser.eventNames.MOUSEOVER, this.eventMouseover);
    break;
  case 'mouseout' :
    Browser.removeEventListener(this.domId, Browser.eventNames.MOUSEOUT, this.eventMouseout);
    break;
  case 'mousemove' :
    Browser.removeEventListener(this.domId, Browser.eventNames.MOUSEMOVE, this.eventMousemove);
    break;
  case 'select' :
    Browser.removeEventListener(this.domId, Browser.eventNames.SELECT, this.eventSelect);
    break;
  case 'blur' :
    Browser.removeEventListener(this.domId, Browser.eventNames.BLUR, this.eventBlur);
    break;
  case 'focus' :
    Browser.removeEventListener(this.domId, Browser.eventNames.FOCUS, this.eventFocus);
    break;
  case 'keypress' :
    Browser.removeEventListener(this.domId, Browser.eventNames.KEYPRESS, this.eventKeypress);
    break;
  case 'keyup' :
    Browser.removeEventListener(this.domId, Browser.eventNames.KEYUP, this.eventKeyup);
    break;
  case 'keydown' :
    Browser.removeEventListener(this.domId, Browser.eventNames.KEYDOWN, this.eventKeydown);
    break;
    }
  }
}
Domlet.prototype.delEvent = function(eventType)
{
  this.addDelEvent(eventType, false);
} 
Domlet.prototype.setStyle = function(style, value)
{
    ;
    Browser.changeStyleById(this.domId, style, value);
    if (style == 'visibility')
    {
        if (value != 'hidden');
        {
            ;
            Browser.setToplevel(Browser.getElementById(this.domId));        
        }
    }
} 
Domlet.prototype.setStyleClass = function(styleclass)
{
    ;
    Browser.changeStyleClassById(this.domId, styleclass);
} 
Domlet.prototype.setText = function(value)
{
    var e = Browser.getElementById(this.domId);
    e.innerHTML = value;
}
Domlet.prototype.setImageSource = function(imgSrc)
{
    ;
    Browser.setImageSourceById(this.domId, imgSrc);
} 
Domlet.prototype.setImageWidth = function(width)
{
    //;
    Browser.setImageWidthById(this.domId, width);
}
Domlet.prototype.getVisibleAction = function()
{
  return new ObjectMethodAction(this, "setVisible", true);
}
Domlet.prototype.getHiddenAction = function()
{
  return new ObjectMethodAction(this, "setVisible", false);
}
Domlet.prototype.setVisible = function(visible)
{
    ;
    this.setStyle("visibility", (visible ? "inherit" : "hidden"));
}
Domlet.prototype.getStyle = function(style)
{
    return  Browser.getStyleById(this.domId, style)
}
Domlet.prototype.getComputedStyle = function(style)
{
    return  Browser.getComputedStyleById(this.domId, style)
}
