/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
</DEPENDENCIES>
*/
function ConversationElement(sId, nSoundStart, nSoundEnd)
{
  if (sId) { this.init(sId, nSoundStart, nSoundEnd); }
}
ConversationElement.prototype.init = function(sId, nStartTime, nEndTime)
{
  ;
  this.sId = sId;
  this.nStartTime = nStartTime;
  this.nEndTime = nEndTime;
  this.oBroker = null;
  this.oBrokerArray = new Array();
  this.bState = false;
  this.bDisableOnStop = false;
}
ConversationElement.prototype.getId = function()
{
  ;
  return this.sId;
}
ConversationElement.prototype.setBroker = function(oBroker)
{
  this.oBroker = oBroker;
}
ConversationElement.prototype.registerBroker = function(oBroker)
{
  this.oBrokerArray[this.oBrokerArray.length] = oBroker;
}
ConversationElement.prototype.setDisableOnStop = function(bDisableOnStop)
{
  this.bDisableOnStop = bDisableOnStop;
}
ConversationElement.prototype.getStartTime = function()
{
  return this.nStartTime;
}
ConversationElement.prototype.getEndTime = function()
{
  return this.nEndTime;
}
ConversationElement.prototype.getTimeChangeAction = function()
{
  return new ObjectMethodAction(this, "timeChange");
}
ConversationElement.prototype.setActive = function(bActive)
{
  if ( bActive )
  {
    this.bState = true;
    if ( this.oBroker )
    {
      this.oBroker.beginActive();
    }
    if(this.oBrokerArray.length > 0)
    {
        for(var i=0; i < this.oBrokerArray.length; i++)
        {
            this.oBrokerArray[i].beginActive();
        }
    }
  }
  else
  {
    this.bState = false;
    if ( this.oBroker )
    {
      this.oBroker.endActive();
    }
    if(this.oBrokerArray.length > 0)
    {
        for(var i=0; i < this.oBrokerArray.length; i++)
        {
            this.oBrokerArray[i].endActive();
        }
    }
  }
}
