/*
<DEPENDENCIES>
    <DEPENDS>DomletCtr</DEPENDS>
</DEPENDENCIES>
*/
SequenceAdapter.prototype             = new DomletCtr();
SequenceAdapter.prototype.constructor = SequenceAdapter;
SequenceAdapter.superclass            = DomletCtr.prototype;
function SequenceAdapter(sId, sWidgetDomId)
{
  if (sId) { this.init(sId, sWidgetDomId); }
}
SequenceAdapter.prototype.init = function(sId, sWidgetDomId)
{
  ;
  SequenceAdapter.superclass.init.call(this, sWidgetDomId, sId, this);
  this.sId = sId;
  this.sWidgetDomId = sWidgetDomId;
  this.modelItem = null;
  this.broker = null;
  this.widget = document.getElementById(sWidgetDomId);
}
SequenceAdapter.prototype.start = function()
{
  ;
}
SequenceAdapter.prototype.getId = function()
{
  return this.sId;
}
SequenceAdapter.prototype.setModelItem = function(modelItem)
{
  ;
  this.modelItem = modelItem;
}
SequenceAdapter.prototype.getModelItem = function()
{
  return this.modelItem;
}
SequenceAdapter.prototype.setBroker = function(broker)
{
  ;
  this.broker = broker;
}
SequenceAdapter.prototype.changed = function(model)
{
  ;
  if (model.isEvaluated())
  {
    switch (model.getOrigin())
    {
      case 'evaluates_correct':
        if (this.broker) { this.broker.showCorrect(); }
        break;
      case 'evaluates_wrong':
        if (this.broker) { this.broker.showWrong(); }
        break;
    }
  }
  else
  {
    if (model.getPositionOfSequenceItem(model) < 0)
    {
        switch (model.getOrigin())
        {
          case 'system_solution':
            if (this.broker) { this.broker.showSolution(); }
            break;
          default:
            if (this.broker) { this.broker.showUnassigned(); }
        }
    }
    else
    {
      switch (model.getOrigin())
      {
        case 'user':
          if ( model.bTipp )
          {
            if (this.broker) { this.broker.showAssigned(); }
            if (this.broker) { this.broker.showTipAssigned(); }
          }
          else
          {
            if (this.broker) { this.broker.showAssigned(); }
          }
          break;
        case 'system_set':
          if (this.broker) { this.broker.showTipAssigned(); }
          break;
        case 'system_solution':
          if (this.broker) { this.broker.showSolution(); }
          break;
        case 'system_approve':
          if (this.broker) { this.broker.showTipApproveCorrect(); }
          break;
        case 'system_brand':
          if (this.broker) { this.broker.showTipBrandWrong(); }
          break;
        case 'system_unassign':
          if (this.broker) { this.broker.showUnassigned(); }
          break;
      }
    }
  }
}
