/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
    <DEPENDS>Broker</DEPENDS>
</DEPENDENCIES>
*/
SoundRecorderBroker.prototype             = new Broker();
SoundRecorderBroker.prototype.constructor = SoundRecorderBroker;
SoundRecorderBroker.superclass            = Broker.prototype;
function SoundRecorderBroker()
{
	;
	this.soundController = null;
 	SoundRecorderBroker.superclass.init.call(this, "SoundRecorderBroker");
}
SoundRecorderBroker.prototype.setSoundController = function(soundController)
{	
	this.soundController = soundController;
}
SoundRecorderBroker.prototype.doSoundStarted = function()
{
    this.getMessage("soundStarted");
}
SoundRecorderBroker.prototype.addSoundStartedHandle = function(action)
{
	this.registerAction("soundStarted", action);
}
SoundRecorderBroker.prototype.getSoundStartedAction = function()
{
	return new ObjectMethodAction(this, "soundStarted");
}
SoundRecorderBroker.prototype.soundStarted = function()
{
	if (this.tipController)
		this.tipController.shouldSoundStarted();
	else
		this.doSoundStarted();
}
SoundRecorderBroker.prototype.doSoundStopped = function()
{
	this.getMessage("soundStopped");
}
SoundRecorderBroker.prototype.addSoundStoppedHandle = function(action)
{
	this.registerAction("soundStopped", action);
}
SoundRecorderBroker.prototype.getSoundStoppedAction = function()
{
	return new ObjectMethodAction(this, "soundStopped");
}
SoundRecorderBroker.prototype.soundStopped = function()
{
	if (this.tipController)
		this.tipController.shouldSoundStopped();
	else
		this.doSoundStopped();
}
SoundRecorderBroker.prototype.doRecordingStarted = function()
{
	this.getMessage("recordingStarted");
}
SoundRecorderBroker.prototype.addRecordingStartedHandle = function(action)
{
	this.registerAction("recordingStarted", action);
}
SoundRecorderBroker.prototype.getRecordingStartedAction = function()
{
	return new ObjectMethodAction(this, "recordingStarted");
}
SoundRecorderBroker.prototype.recordingStarted = function()
{
	this.doRecordingStarted();
}
SoundRecorderBroker.prototype.doRecordingStopped = function()
{
	this.getMessage("recordingStopped");
}
SoundRecorderBroker.prototype.addRecordingStoppedHandle = function(action)
{
	this.registerAction("recordingStopped", action);
}
SoundRecorderBroker.prototype.getRecordingStoppedAction = function()
{
	return new ObjectMethodAction(this, "recordingStopped");
}
SoundRecorderBroker.prototype.recordingStopped = function()
{
	this.doRecordingStopped();
}
SoundRecorderBroker.prototype.doRecordingTimeLimitReached = function()
{
	this.getMessage("recordingTimeLimitReached");
}
SoundRecorderBroker.prototype.addRecordingTimeLimitReachedHandle = function(action)
{
	this.registerAction("recordingTimeLimitReached", action);
}
SoundRecorderBroker.prototype.getRecordingTimeLimitReachedAction = function()
{
	return new ObjectMethodAction(this, "recordingTimeLimitReached");
}
SoundRecorderBroker.prototype.recordingTimeLimitReached = function()
{
	this.doRecordingTimeLimitReached();
}
SoundRecorderBroker.prototype.doRequestSoundStart = function()
{
	this.getMessage("requestSoundStart");
}
SoundRecorderBroker.prototype.addRequestSoundStartHandle = function(action)
{
	this.registerAction("requestSoundStart", action);
}
SoundRecorderBroker.prototype.getRequestSoundStartAction = function()
{
	return new ObjectMethodAction(this, "requestSoundStart");
}
SoundRecorderBroker.prototype.requestSoundStart = function()
{
	this.doRequestSoundStart();
}
SoundRecorderBroker.prototype.doRequestStop = function()
{
	this.getMessage("requestStop");
}
SoundRecorderBroker.prototype.addRequestStopHandle = function(action)
{
	this.registerAction("requestStop", action);
}
SoundRecorderBroker.prototype.getRequestStopAction = function()
{
	return new ObjectMethodAction(this, "requestStop");
}
SoundRecorderBroker.prototype.requestStop = function()
{
	this.doRequestStop();
}
SoundRecorderBroker.prototype.doRequestRecordingStart = function()
{
	this.getMessage("requestRecordingStart");
}
SoundRecorderBroker.prototype.addRequestRecordingStartHandle = function(action)
{
	this.registerAction("requestRecordingStart", action);
}
SoundRecorderBroker.prototype.getRequestRecordingStartAction = function()
{
	return new ObjectMethodAction(this, "requestRecordingStart");
}
SoundRecorderBroker.prototype.requestRecordingStart = function()
{
	this.doRequestRecordingStart();
}
