 /*
 <DEPENDENCIES>
	 <DEPENDS>Logger</DEPENDS>
	 <DEPENDS>Actions</DEPENDS>
	 <DEPENDS>Broker</DEPENDS>
	 <DEPENDS>ScreenBroker</DEPENDS>
 </DEPENDENCIES>
 */
 AdaptiveSequenceStrategyThresholdExclusive.prototype             = new Broker();
 AdaptiveSequenceStrategyThresholdExclusive.prototype.constructor = AdaptiveSequenceStrategyThresholdExclusive;
 AdaptiveSequenceStrategyThresholdExclusive.superclass            = Broker.prototype;
 function AdaptiveSequenceStrategyThresholdExclusive()
 {
	AdaptiveSequenceStrategyThresholdExclusive.superclass.init.call(this, 'AdaptiveSequenceStrategyThresholdExclusive');
	this.items = new Array();
   	this.structures = new Array();
   	this.urls = new Array();
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.getId = function()
 {
	 return 'AdaptiveSequenceStrategyThresholdExclusive';
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.start = function()
 {
		var serviceregistry = ServiceRegistryAccess.getServiceRegistry();
   		if (serviceregistry)
   		{
   			this.achievementservice = serviceregistry.getService("achievementservice");
   			for (var i = 0; i <  this.structures.length; i++)
			{
				var childsequence = this.structures[i];
				;
   				this.achievementservice.clearResults(childsequence);
   			}
   		}
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.addNextHandle = function(action)
 {
	 ;
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.getNextAction = function()
 {
	 ;
	 return new ObjectMethodAction(this, 'next');
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.setAdaptiveSequenceCID = function(cid)
 {
	 ;
	 this.cid = cid;
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.setStructureName = function(structurename)
 {
	 ;
	 this.structurename = structurename;
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.setExitURL = function(exiturl)
 {
	 ;
	 this.exiturl = exiturl;
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.addStrategyItem = function(threshold, structure, url)
 {
	 ;
	 this.items.push(threshold);
	 this.structures[threshold] = structure;
	 this.urls[threshold] = url;
 }
 AdaptiveSequenceStrategyThresholdExclusive.prototype.next = function()
 {
	 ;
	 var url = this.exiturl;
	 if (this.achievementservice && this.cid && this.items)
	 {
	 	var scorestatistics = this.achievementservice.getScoreStatisticsTraceSingleLevel(
	 				this.structurename, this.cid);
	 	var score = scorestatistics.getFractionCorrect();
        var tempThreshold = 0;
        for (var i = 0; i <  this.items.length; i++)
        {
        	var threshold = this.items[i];
        	;
        	if (score >= threshold)
            {
    			if (threshold >= tempThreshold)
    			{
    				tempThreshold = threshold;
    				url = this.urls[threshold];
    				;
    			}
    		}
        }
	 }
	 ;
	 window.screenBroker.getReplaceAction(url).invoke();
 }
