/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Globals</DEPENDS>
    <DEPENDS>BasicQeaCorrectionStrategy</DEPENDS>
</DEPENDENCIES>
*/
MarkLastAssignmentQeaCorrectionStrategy.prototype             = new BasicQeaCorrectionStrategy();
MarkLastAssignmentQeaCorrectionStrategy.prototype.constructor = MarkLastAssignmentQeaCorrectionStrategy;
MarkLastAssignmentQeaCorrectionStrategy.superclass            = BasicQeaCorrectionStrategy.prototype;
function MarkLastAssignmentQeaCorrectionStrategy(sId)
{
  this.init(sId)
}
MarkLastAssignmentQeaCorrectionStrategy.prototype.init = function(sId)
{
  ;
  this.nHandles = 0;
  MarkLastAssignmentQeaCorrectionStrategy.superclass.init.call(this, sId);
}
MarkLastAssignmentQeaCorrectionStrategy.prototype.showCorrection = function()
{
  ;
  var lastEvaluation = this.getLastEvaluation();
  if(lastEvaluation)
  {
    var sHandleId = this.sId + '_' + this.nHandles++;
    var oHandle = new MarkLastAssignmentQeaCorrectionStrategyHandle(sHandleId, this, lastEvaluation);
    oHandle.showCorrection();
  }
}
var staticMarkLastAssignmentQeaCorrectionStrategyHandle = new Array();
MarkLastAssignmentQeaCorrectionStrategyHandle_getInstance = function(sId)
{
  var Instance = null;
  if ( staticMarkLastAssignmentQeaCorrectionStrategyHandle[sId] )
  {
    Instance = staticMarkLastAssignmentQeaCorrectionStrategyHandle[sId];
  }
  return Instance;
}
function MarkLastAssignmentQeaCorrectionStrategyHandle(sId, strategy, lastEvaluation)
{
  this.init(sId, strategy, lastEvaluation);
}
MarkLastAssignmentQeaCorrectionStrategyHandle.prototype.init = function(sId, strategy, lastEvaluation)
{
  ;
  this.sId = sId;
  this.strategy = strategy;
  this.lastEvaluation = lastEvaluation;
  this.aTimerEvaluations = new Array();
  staticMarkLastAssignmentQeaCorrectionStrategyHandle[sId] = this;
}
MarkLastAssignmentQeaCorrectionStrategyHandle.prototype.hasCorrection = function()
{
  ;
  var bHasCorrection = true;
  if (! (bHasCorrection && this.lastEvaluation))
  {
    bHasCorrection = false;
  }
  return bHasCorrection;
}
MarkLastAssignmentQeaCorrectionStrategyHandle.prototype.showCorrection = function()
{
  ;
  var lastEvaluation = null;
  if (this.hasCorrection())
  {
    lastEvaluation = this.lastEvaluation;
  }
  if ( lastEvaluation )
  {
    if ( lastEvaluation.isCorrect() )
    {
      if ( lastEvaluation.isActive() )
      {
        var bSystemConstructive = lastEvaluation.bSystemConstructive;
        lastEvaluation.setActive(true, 'system_approve');
        lastEvaluation.bSystemConstructive = bSystemConstructive;
        lastEvaluation.workItem.changed(lastEvaluation);
        this.lastTippedEvaluation = lastEvaluation;
      }
      else
      {
      }
    }
    else
    {
      if( lastEvaluation.isActive() )
      {
        this.strategy.exerciseManager.beginCorrection();
        var bSystemConstructive = lastEvaluation.bSystemConstructive;
        lastEvaluation.setSilentlyActive(true, 'system_brand');
        lastEvaluation.bSystemConstructive = bSystemConstructive;
        lastEvaluation.workItem.changed(lastEvaluation);
        this.aTimerEvaluations.push(lastEvaluation);
        this.lastTippedEvaluation = lastEvaluation;
      }
      else
      {
      }
    }
  }
}
