/*
<DEPENDENCIES>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>Actions</DEPENDS>
</DEPENDENCIES>
*/
function LSTrack(sId, sIdentifier) 
{
  if (sId) { this.init(sId, sIdentifier); }
}
LSTrack.prototype.init = function(sId, sIdentifier)
{
  ;
  this.sId = sId;
  this.sIdentifier = sIdentifier;
  this.manager = null;
  this.status = null;
}
LSTrack.prototype.getId = function()
{
  return this.sId;
}
LSTrack.prototype.setAchievementManager = function(manager)
{
  this.manager = manager;
}
LSTrack.prototype.reset = function(manager)
{
  this.status = null;
}
LSTrack.prototype.solvedStatus = function(exerciseManagerStatus)
{
  ;
  this.status = exerciseManagerStatus;
}
LSTrack.prototype.commitStatus = function()
{
  ;
  if(this.status)
  {
    this.manager.sendTrackResultData(null, this.sIdentifier, this.status.nTouched,
      this.status.nTotal, this.status.nCorrect, this.status.nWrong,
      this.status.nCorrectStatus, this.status.nWrongStatus,
      this.status.nCorrectSystem, this.status.nWrongSystem
    );
    this.reset();
  }
}
LSTrack.prototype.getSolvedStatusAction = function()
{
    return new ObjectMethodAction(this, "solvedStatus");
}
LSTrack.prototype.getCommitStatusAction = function()
{
    return new ObjectMethodAction(this, "commitStatus");
}
