/*
<DEPENDENCIES>
    <DEPENDS>Browser</DEPENDS>
    <DEPENDS>Logger</DEPENDS>
    <DEPENDS>DomletCtr</DEPENDS>
</DEPENDENCIES>
*/
ObjectMover.prototype             = new DomletCtr();
ObjectMover.prototype.constructor = ObjectMover;
ObjectMover.superclass            = DomletCtr.prototype;
function ObjectMover(name, parent)
{
    if (name) this.init(name, parent);
    ;
} 
ObjectMover.prototype.init = function(name, parent)
{
    ;
    ObjectMover.superclass.init.call(this, name, parent);
    this.slideElementIds = new Array();
    this.slideElements = new Array();
}
ObjectMover.prototype.addSlideId = function(elementId)
{
    ;
    this.slideElementIds[this.slideElementIds.length] = elementId;
    this.slideElements[this.slideElements.length] = Browser.getElementById(elementId);
}
ObjectMover.prototype.removeSlideId = function(elementId)
{
    ;
    this.slideElementIds = this.removeElementFromArray(elementId, this.slideElementIds);
    this.slideElements = this.removeElementFromArray(Browser.getElementById(elementId), this.slideElements);
}
ObjectMover.prototype.moveElements = function(pixels, direction)
{
    ;
    switch (direction)
    {
        case "left" :
            this.moveElementsLeft(pixels);
            break;
        case "right" :
            this.moveElementsRight(pixels);
            break;
        case "up" :
            this.moveElementsUp(pixels);
            break;
        case "down" :
            this.moveElementsDown(pixels);
            break;
    }
}
ObjectMover.prototype.moveElementsLeft = function(pixels)
{
    for (var i = 0; i < this.slideElementIds.length; i++)
    {
        Browser.changeStyleById(this.slideElementIds[i], "left", (this.slideElements[i].offsetLeft - pixels) + "px");
    }
}
ObjectMover.prototype.moveElementsRight = function(pixels)
{
    for (var i = 0; i < this.slideElementIds.length; i++)
    {
        Browser.changeStyleById(this.slideElementIds[i], "left", (this.slideElements[i].offsetLeft + pixels) + "px");
    }
}
ObjectMover.prototype.moveElementsUp = function(pixels)
{
    for (var i = 0; i < this.slideElementIds.length; i++)
    {
        Browser.changeStyleById(this.slideElementIds[i], "top", (this.slideElements[i].offsetTop - pixels) + "px");
    }
}
ObjectMover.prototype.moveElementsDown = function(pixels)
{
    for (var i = 0; i < this.slideElementIds.length; i++)
    {
        Browser.changeStyleById(this.slideElementIds[i], "top", (this.slideElements[i].offsetTop + pixels) + "px");
    }
}
ObjectMover.prototype.setAllPositionsToAbsolute = function()
{
    for (var i = 0; i < this.slideElements.length; i++)
    {
        Browser.changeStyleById(this.slideElementIds[i], "position", "absolute");
    }
}
ObjectMover.prototype.start = function()
{
    ;
    this.setAllPositionsToAbsolute();
}
ObjectMover.prototype.removeElementFromArray = function(element, array)
{
    ;
    var resultArray = new Array();
    var elementFound = false;
    for (var i = 0; i < array.length; i++)
    {
        if (array[i] != element)
            resultArray[resultArray.length] = array[i];
        else;
            elementFound = true;
    }
    if (elementFound)
        ;
    else
        ;
    return resultArray;
}
